# Generated by Django 4.2.5 on 2023-09-13 22:28

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('wagtailimages', '0025_alter_image_file_alter_rendition_file'),
        ('sponsors', '0002_sponsortype_sponsor_sponsor_type'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='sponsor',
            options={'ordering': ['name'], 'verbose_name': 'sponsor', 'verbose_name_plural': 'sponsors'},
        ),
        migrations.AlterModelOptions(
            name='sponsortype',
            options={'ordering': ['order'], 'verbose_name': 'type de sponsor', 'verbose_name_plural': 'types de sponsor'},
        ),
        migrations.AddField(
            model_name='sponsortype',
            name='logo',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='wagtailimages.image', verbose_name='Logo'),
        ),
        migrations.AddField(
            model_name='sponsortype',
            name='logo_description',
            field=models.CharField(blank=True, max_length=255, null=True, verbose_name='Description du logo'),
        ),
        migrations.AddField(
            model_name='sponsortype',
            name='order',
            field=models.IntegerField(default=0, verbose_name='Ordre pour le tri'),
        ),
    ]
